Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028626
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2015-01-15 14:262015-02-04 20:34
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisiondbda2f6cc002
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028626: Matching Algorithm confirm window is not shown if OB environment is setted as testing

DescriptionIf "test.environment" parameter is setted as true in Openbravo.properties, Matching Algorithm confirm window (which appears when you click Match Statement button from Financial Account window), Partial Match confirm window (which appears when you set a different amount than expected on Add new Transaction popup) nor Process Reconciliation confirm window (which apeears when you click Done on Match Statement popup) are not shown.
Steps To ReproduceIn a OB environment setted as testing:
- Go to Financial Account and select "Cuenta de Banco"
- Click on Match Statement button
- Match Statement popup appears but no Matching Algorithm confirm window is shown
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0073571)
hgbot (developer)
2015-01-16 14:05

Repository: erp/devel/pi
Changeset: dbda2f6cc002950ce74ba6ae48bca4fc3621edab
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Jan 16 14:04:22 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dbda2f6cc002950ce74ba6ae48bca4fc3621edab [^]

Fixes bug 28626: MatchingAlgorithm window is not shown in test environments

APRM_AlgorithmConfirm, APRM_ProcessReconciliation and APRM_SplitBankStatementLineConfirm popups are now shown, although OB.TestRegistry.registry object is not empty

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-matchStatement.js
---
(0073572)
umartirena (developer)
2015-01-16 14:11

Code Review + Testing OK
(0073576)
hgbot (developer)
2015-01-16 14:33

Repository: erp/devel/pi
Changeset: b653ece46712f0fb266964369bc3b32f9f208074
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Jan 16 14:33:14 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b653ece46712f0fb266964369bc3b32f9f208074 [^]

Related to bug 28626: Fix copyright

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addTransaction.js
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-matchStatement.js
---
(0074153)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test
(0074154)
hudsonbot (developer)
2015-02-04 20:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-15 14:26 aferraz New Issue
2015-01-15 14:26 aferraz Assigned To => aferraz
2015-01-15 14:26 aferraz Modules => Core
2015-01-15 14:26 aferraz Triggers an Emergency Pack => No
2015-01-15 14:28 aferraz Status new => scheduled
2015-01-15 14:28 aferraz fix_in_branch => pi
2015-01-15 14:31 aferraz Review Assigned To => umartirena
2015-01-15 14:31 aferraz fix_in_branch pi =>
2015-01-16 13:37 aferraz Description Updated View Revisions
2015-01-16 14:05 hgbot Checkin
2015-01-16 14:05 hgbot Note Added: 0073571
2015-01-16 14:05 hgbot Status scheduled => resolved
2015-01-16 14:05 hgbot Resolution open => fixed
2015-01-16 14:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dbda2f6cc002950ce74ba6ae48bca4fc3621edab [^]
2015-01-16 14:11 umartirena Note Added: 0073572
2015-01-16 14:11 umartirena Status resolved => closed
2015-01-16 14:11 umartirena Fixed in Version => pi
2015-01-16 14:33 hgbot Checkin
2015-01-16 14:33 hgbot Note Added: 0073576
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074153
2015-02-04 20:34 hudsonbot Checkin
2015-02-04 20:34 hudsonbot Note Added: 0074154


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker